Subject: Re: [regext] Contact Postal Info Elements Proposal

From: Patrick Mevzek <[email-masked]>
Date: Tue, 4 Apr 2017 02:35:46 +0200

Gould, James <[email-masked]> 2017-03-31 17:25
> Thanks for the response.  My feedback is embedded below.  I’ve updated the proposal based on your feedback:
> 
> 
> 
> 1.          The <contact:chg> sub-elements do have replace semantics
> 
> a.            Existing sub-element data deleted first and then set with updated data.
> 
> b.            This includes the <contact:postalInfo>, <contact:voice>, <contact:fax>, <contact:email>, <contact:authInfo>, and the <contact:disclose> elements.
> 
> c.            Servers with special policies regarding contact data modifications should check the new data for any actual changes in relevant fields.
> 
> 2.          The typed <contact:postalInfo> elements (“int” or “loc”) are treated independently
> 
> a.            Exclusion of a <contact:postalInfo> type (“int” or “loc”) does not implicitly delete it
> 
> 3.          The typed <contact:postalInfo> element (“int” or “loc”) is deleted explicitly via an empty element
> 
> a.            <contact:postalInfo type=”int”/> or <contact:postalInfo type=”loc”/>
> 
> b.            The same applies to deleting the voice or the fax via an empty element (<contact:voice/> or <contact:fax/>)
> 
> 
> 
> Let me know if any other changes are needed.
 
Hello James,

I agree with your mini specification.

I would suggest to add some wording about the contact:street nodes,
especially if their number changes with the update done.
It would probably be superfluous but I believe in this case it is
better to over specify things instead of under-specify since this
contact:update issue is quite old, so it is a great idea and work to
specify it clearly and completely now once for all.

-- 
Patrick Mevzek